// PathManager.h: interface for the CPathManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PATHMANAGER_H__BB8EF7BC_ABE5_4D19_82E4_FFAA5343F165__INCLUDED_)
#define AFX_PATHMANAGER_H__BB8EF7BC_ABE5_4D19_82E4_FFAA5343F165__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <afxtempl.h>


class CPathManager  
{
protected:
	CArray<CString, CString &> PathList;
	void AddPath(CString str);
	bool DoesFileExist(const char *fname,const CString &path);
public:
	void ScanRegistry();
	bool GetFile(const char *fname,CString &path,CString &outfile);
	bool GetPath(const char *fname,CString &path);
	void ScanProject(CString dspfname);
	CPathManager();
	virtual ~CPathManager();

};


#endif // !defined(AFX_PATHMANAGER_H__BB8EF7BC_ABE5_4D19_82E4_FFAA5343F165__INCLUDED_)
